<!--
This package is only for use in apps developed by Dative Devs.
It's used to automate tasks like installation, purchase verification  and also it includes a lot of features needed by the app you have purchased.
-->

## Getting started

1. Purchase the app in codecanyon.net, to see supported apps, please search word 'dative'
2. Go to https://support.dative.me and register an account then the app
3. Then import your purchased app in your computer and install.

For more information please check the purchased app documentation

## Usage

This package will already be included in your app, but you can update it to use latest version or in case that you don't have it
First, add `dative_core` as a dependency in your pubspec.yaml file.

```yaml
dependencies:
  dative_core: ^0.0.7
```

Don't forget to `flutter pub get`.

## 1. Configure your app

Customize the following settings and add to your project's `pubspec.yaml`.

```yaml
dative_core:
  # Config of your Purchase Code and Validation Key
  # validation_key you get it in our support https://support.dative.me
  # purchase_code you get it in codecanyon.net or in our support https://support.dative.me
  config:
    validation_key: "eyJpZCI6ImZzYWZza2xzbGxkYTlk=="
    purchase_code: "7Ue1c2f2-b5e8-4704-b82f-84b84104b096"

  # Setup Your app crucial credentials
  setup:
    app_name: "Dative App"
    facebook_app_id: "539301749834685"
    facebook_client_token: "9ff5c730a2e84dd93edo9fee7f3b4358"
    admob_app_id_ios: "ca-app-pub-93188637494690~2094289339"
    admob_app_id_android: "ca-app-pub-9310934613494690~2094289339"

  # Files required to automatically setup the project
  files:
    google_file_android: assets/files/google-services.json
    google_file_ios: assets/files/GoogleService-Info.plist
```
## 2. Run the package

After adding your settings to `pubspec.yaml`, run the following command in the terminal:

```
dart run dative_core:install
```

When the package finishes running, you will get successful messages or error message with description.

## Additional information

If you need any help, please submit a ticket at https://support.dative.me
