import 'dart:convert';
import 'package:http/http.dart' as http;

import '../model/run_model.dart';
import '../utils/utils.dart';


class CoreRunner {

  static Future<RunModel?> installApp({String? purchaseCode, String? validationKey}) async {

    Map<String, dynamic> inputData = {
      'validation_key': validationKey,
      'purchase_code' : purchaseCode
    };

    try {
      var url = Uri.parse('${Utils.coreUrl}/${Utils.installEndPoint}');

      var response = await http.post(
        url,
        headers: {'Content-Type': 'application/json'},
        body: json.encode(inputData),
      );

      if (response.statusCode == 200) {
        var jsonResponse = json.decode(response.body);
        RunModel app = RunModel.fromJson(jsonResponse);
        return app;

      } else {
        return Future.error(response.body);
      }
    } catch (e) {
      return Future.error(e);
    }
  }

}