import 'dart:convert';

import '../utils/constants.dart';

class CoreModel {
  final String id;
  final String client;
  final String store;
  final String package;
  final int type;

  CoreModel({
    required this.id,
    required this.client,
    required this.store,
    required this.package,
    required this.type,
  });

  factory CoreModel.fromJson(Map<String, dynamic> json) {
    return CoreModel(
      id: json['id'],
      client: json['client'],
      store: json['store'],
      package: getPackage(json),
      type: json['type'],
    );
  }

  static String getPackage(Map<String, dynamic> json){
    if(Constants.isAndroidPlatform() || Constants.isFuchsiaPlatform() || Constants.isWindowsPlatform()){
      return json['package_android'];
    } else if(Constants.isIOSPlatform() || Constants.isMacOsPlatform() || Constants.isLinuxPlatform()){
      return json['package_ios'];
    }
    return '';
  }

  static Map<String, dynamic> jsonObject = {
    'id': 'id',
    'client' : 'client',
    'store' : 'store',
    'package' : 'package',
    'type' : 0
  };

  dynamic decoder(String validationKey) {
    String jsonString = utf8.decode(base64.decode(validationKey));
    Map<String, dynamic> jsonObject = jsonDecode(jsonString);
    return jsonObject;
  }
}
