import 'package:shared_preferences/shared_preferences.dart';

import 'core_utils.dart';

class SharedManager {

  static const String last = "last";
  static const String packageData = 'package';
  static const String activeData = 'active';
  static const String extendedData = 'extended';

  void setPackage(SharedPreferences? preferences, String package){
     preferences!.setString(packageData, package);
  }

  String? getPackage(SharedPreferences? preferences){
    return preferences!.getString(packageData) ?? "";
  }

  void setActive(SharedPreferences? preferences, bool active){
    preferences!.setBool(activeData, active);
  }

  bool? getActive(SharedPreferences? preferences){
    return preferences!.getBool(activeData) ?? true;
  }

  void setExtended(SharedPreferences? preferences, bool extended){
    preferences!.setBool(extendedData, extended);
  }

  bool? getExtended(SharedPreferences? preferences, {String? valKey, String? platform}){
    return preferences!.getBool(extendedData) ?? CoreUtils.core(valKey!, platform!);
  }

  void setLastRun(SharedPreferences? preferences, String today){
    preferences!.setString(last, today);
  }

  String? getLastRun(SharedPreferences? preferences){
    return preferences!.getString(last);
  }
}